
% 1/3 octave filter bank

% input as row signal

function output = filterBank_apply(input, filterBank)
    
    extraTail = 20000; % room for response
    
    input = [input, zeros(1, extraTail)];
   
    Nfc = length(filterBank);
    
    output = zeros(Nfc, length(input));
    
    left = input;
    
    for n = 1:Nfc
        f = filterBank{n};
        
        output(n,:) = filter(f, left');
        
        %%%left = left - output(n,:);  % Lossless decompostion

    end
    
    %%%output(Nfc,:) = left;

end